@import "../../Assets/Styles/SCSS/Helper/variable.scss";
@import "../../Assets/Styles/SCSS/Helper/mixin.scss";
.detail_info {
	margin-top: 50px;
	height: 540px;
	min-width: 500px;
	position: relative;
	color: #fff;
	margin-bottom: 0;
	@include MediaQuery($sm) {
		display: none;
	}
	&__img {
		position: absolute;
		width: 100%;
		height: 100%;
		top: 0;
		left: 0;
		img {
			width: 100%;
			height: 100%;
			filter: blur(9px);
			transform: scaleY(0.91);
			object-fit: cover;
			object-position: center center;
		}
	}
	&_fog {
		width: 100%;
		height: 100%;
		position: absolute;
		top: 0;
		left: 0;
		background: linear-gradient(0deg, #0a2029, transparent);
	}
	&_content {
		display: flex;
		flex-direction: row;
		height: 100%;
		width: 100%;
		justify-content: space-around;
		align-items: center;
		z-index: 100;
		position: relative;
		grid-gap: 20px;
		padding-right: 20px;
		&_text {
			display: flex;
			flex-direction: row;
			flex-wrap: wrap;
			justify-content: center;
			align-items: center;
			margin: 0 20px;
			@include MediaQuery($md) {
				margin: 0 50px;
			}
			&_info {
				margin-left: 10px;
				@include MediaQuery($md) {
					margin-left: 20px;
				}
				small {
					font-size: 14px;
					color: #e9e9e9;
					font-weight: 400;
				}
				.name__movie {
					margin: 10px 0;
					display: flex;
					flex-direction: column;
					align-items: flex-start;
					font-weight: 700;
					font-size: 20px;
					@include MediaQuery($md) {
						flex-direction: row;
						align-items: center;
					}
					span {
						display: inline-block;
						padding: 0 12px;
						margin-right: 10px;
						border-radius: 4px;
						text-align: center;
						font-size: 16px;
						font-weight: 700;
						color: #fff;
						background-color: #00ac4d;
					}
				}
				.btn__movie {
					border-color: rgb(229, 132, 117);
					background: linear-gradient(270deg, rgb(251, 66, 38), rgb(206, 48, 23));
					color: white;
					outline: none;
					font-weight: $fwBold;
					margin-top: 10px;
					padding: 5px 20px;
					transition: all 0.3s;
					&:hover {
						transform: translateY(-10%);
					}
				}
				.digital__movie {
					font-size: 14px;
					color: #e9e9e9;
					font-weight: 400;
					display: block;
					@include MediaQuery($md) {
						display: block !important;
					}
				}
			}
			.img_container {
				height: 300px;
				position: relative;
				&:hover {
					.play_trailer_btn {
						opacity: 1;
						display: flex;
						&__icon {
							opacity: 1;
							img {
								transform: scale(1);
							}
						}
					}
				}
				.play_trailer_btn {
					position: absolute;
					top: 0;
					left: 0;
					height: 100%;
					width: 100%;
					border-radius: 10px;
					display: flex;
					justify-content: center;
					align-items: center;
					background: linear-gradient(0deg, #000, transparent);
					transition: all 0.3s;
					opacity: 0;
					&__icon {
						z-index: 9999;
						width: 100px;
						position: absolute;
						top: 50%;
						left: 50%;
						opacity: 0;
						transform: translate(-50%, -50%);
						border: 0;
						outline: 0;
						background-color: transparent;
						&:hover {
							img {
								opacity: 0.4;
							}
						}
						img {
							transition: all 0.3s;
							transform: scale(0.7);
						}
					}
				}
				img {
					height: 100%;
					border-radius: 10px;
				}
			}
		}
		&_rating {
			display: flex;
			flex-direction: column;
			align-items: center;
			&__item {
				position: relative;
				padding: 0;
				border-radius: 100%;
				display: flex;
				flex-direction: column;
				justify-content: center;
				align-items: center;
				max-width: 120px;
				.vote__movie {
					color: #7ed321;
					z-index: 9999;
				}
				.rating {
					position: absolute;
					top: 0%;
					left: 0%;
					font-size: 70px;
					background-color: rgba(0, 0, 0, 0.4);
					width: 100%;
					height: 100%;
					border-radius: 100%;
					display: flex;
					justify-content: center;
					align-items: center;
					transform: scale(0.85);
				}
				.rating_border {
					position: absolute;
					top: 0%;
					left: 0%;
					width: 100%;
					height: 100%;
					border-radius: 50%;
					display: flex;
					border: 9px solid $bgBtn1;
					z-index: 0;
				}
			}
			&__vote {
				text-align: center;
				margin-top: 10px;
				img {
					width: 25px;
					margin: 0px 2px;
				}
			}
		}
	}
}
.detail__info__rps {
	margin-top: 50px;
	color: #fff;
	margin-bottom: 0;
	display: none;
	@include MediaQuery($sm) {
		display: block;
	}
	&__img {
		position: relative;
		width: 100%;
		height: 250px;
		display: flex;
		justify-content: center;
		align-items: center;
		.info__img {
			position: absolute;
			width: 100%;
			height: 100%;
			object-fit: cover;
			// object-position: center center;
		}
		.img__overlay {
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			background: linear-gradient(0deg, #0a2029, transparent);
		}
		.img__btn {
			z-index: 1;
			width: 80px;
			height: 80px;
			cursor: pointer;
			transition: all 0.3s;
			&:hover {
				opacity: 0.5;
			}
			@include MediaQuery($sm) {
				width: 60px;
				height: 60px;
			}
		}
		.img__vote {
			position: absolute;
			top: 3%;
			right: 2%;
			display: block;
			background-color: rgba(12, 27, 54, 0.8);
			border: 1px solid #1f2e46;
			border-radius: 4px;
			position: absolute;
			.vote__number {
				text-align: center;
				margin-bottom: 0;
				color: #fff;
				font-weight: 600;
				font-size: 14px;
			}
			.vote__star {
				text-align: center;
				margin-bottom: 0;
				height: 15px;
				line-height: 15px;
				margin-bottom: 5px;

				img {
					display: inline-block;
					width: 7px;
					height: 7px;
					margin: 0 2px;
				}
			}
		}
	}
	&__content {
		background-color: #0a2029;
		padding-left: 20px;
		color: $textGrey;
		font-size: 20px;
		.name__movie {
			margin-bottom: 0;
			color: $textWhite;
			font-weight: 500;
			font-size: 28px;
		}
	}
}
